#!/bin/zsh

# Get the Bunch app name to control (we may be using the beta app)
appname=$(./fetchAppname.sh)

# Return bunches folder
folderPath=$(osascript -e "tell application \"$appname\" to get preference \"Folder\"" | sed 's/^file:\/\///')

# Get a list of the bunch file names (without the ".bunch"
bunches=$(ls -1 $folderPath | sed 's/\.bunch//')
#echo $bunches && echo # DEBUG

# Generate an array of the bunches
arrBunches=(${(f)"$(echo $bunches)"})


intLastPos=$((${#arrBunches[*]}))
#echo intLastPos=$intLastPos && echo # DEBUG

echo '{"items": ['

	
# Process each bunch
for bunch in $arrBunches; do
	echo -e '\t{'
	
	# Ouput properties
	echo -e "\t\t\"uid\": \"$bunch\","
	echo -e "\t\t\"title\": \"$bunch\","
	echo -e "\t\t\"arg\": \"$bunch\","
	echo -e "\t\t\"autocomplete\": \"$bunch\","
	
	echo -e "\t\t\"icon\":"
	echo -e "\t\t{"
	echo -e "\t\t\t\"path\": \"./bunch.png\""
	echo -e "\t\t}"
	
	# If it is the last bunch, there's no trailing comma
	if [[ "$bunch" == "$arrBunches[$intLastPos]" ]] then
		echo -e "\t}"
	else
		echo -e "\t},"
	fi
	;
done
	
	

echo "]}"