#!/bin/zsh

# Get a list of open bunches - each bunch base file name on a new line
strOpenBunches=$(./fetchBunchesOpen.sh)

# Get a list of registered bunches - each bunch base file name on a new line
strAllBunches=$(./fetchBunches.sh)

# Generate arrays of the bunches
arrOpenBunches=(${(f)"$(echo $strOpenBunches)"})
arrAllBunches=(${(f)"$(echo $strAllBunches)"})

# Create a new array of all the closed bunches
arrClosedBunches=("${(@)arrAllBunches:|arrOpenBunches}")

# Convert it to a plain list so we can reuse the generic JSON bunch formatter script
strClosedBunches=$(printf "%s\n" "${arrClosedBunches[@]}")

# Generate JSON
./jsonBunchesFromNameList.sh "$strClosedBunches"