#!/bin/zsh

# Fetch settings
prefToggleBunches=$(./fetchPrefToggleBunches.sh)
prefSingleBunchMode=$(./fetchPrefSingleBunchMode.sh)
prefPreserveOpenBunches=$(./fetchPrefPreserve.sh)
prefDebugLevel=$(./fetchPrefDebug.sh)

# Build the opening JSON
echo '{"items": ['

# Build Toggle Bunches
echo -e '\t{'
echo -e "\t\t\"uid\": \"togglebunches\","
echo -e "\t\t\"arg\": \"togglebunches\","
echo -e "\t\t\"autocomplete\": \"Toggle Bunches\","
echo -e "\t\t\"title\": \"Toggle Toggle Bunches\","
# Subtitle
echo -e -n "\t\t\"subtitle\": \"Switch from "
if [[ "$prefToggleBunches" == "0" ]]
then
	echo -e -n "disabled to enabled"
else
	echo -e -n "enabled to disabled"
fi
echo -e "\","
# Icon
echo -e "\t\t\"icon\":"
echo -e "\t\t{"
echo -e "\t\t\t\"path\": \"./preference.png\""
echo -e "\t\t}"
echo -e "\t},"

# Build Single Bunch Mode
echo -e '\t{'
echo -e "\t\t\"uid\": \"singlebunchmode\","
echo -e "\t\t\"arg\": \"singlebunchmode\","
echo -e "\t\t\"autocomplete\": \"Single Bunch Mode\","
echo -e "\t\t\"title\": \"Toggle Single Bunch Mode\","
# Subtitle
echo -e -n "\t\t\"subtitle\": \"Switch from "
if [[ "$prefSingleBunchMode" == "0" ]]
then
	echo -e -n "disabled to enabled"
else
	echo -e -n "enabled to disabled"
fi
echo -e "\","
# Icon
echo -e "\t\t\"icon\":"
echo -e "\t\t{"
echo -e "\t\t\t\"path\": \"./preference.png\""
echo -e "\t\t}"
echo -e "\t},"

# Build Preserve Open Bunches
echo -e '\t{'
echo -e "\t\t\"uid\": \"preserveopenbunches\","
echo -e "\t\t\"arg\": \"preserveopenbunches\","
echo -e "\t\t\"autocomplete\": \"Preserve Open Bunches\","
echo -e "\t\t\"title\": \"Toggle Preserve Open Bunches\","
# Subtitle
echo -e -n "\t\t\"subtitle\": \"Switch from "
if [[ "$prefPreserveOpenBunches" == "0" ]]
then
	echo -e -n "disabled to enabled"
else
	echo -e -n "enabled to disabled"
fi
echo -e "\","
# Icon
echo -e "\t\t\"icon\":"
echo -e "\t\t{"
echo -e "\t\t\t\"path\": \"./preference.png\""
echo -e "\t\t}"
echo -e "\t},"

# Build Set Debug Level
echo -e '\t{'
echo -e "\t\t\"uid\": \"debuglevel\","
echo -e "\t\t\"arg\": \"debuglevel\","
echo -e "\t\t\"autocomplete\": \"Debug Level\","
echo -e "\t\t\"title\": \"Change Debug Level\","
# Subtitle
echo -e -n "\t\t\"subtitle\": \"Currently: "
if [[ "$prefDebugLevel" == "0" ]]
then
	echo -e -n "None (Level 0)"
fi
if [[ "$prefDebugLevel" == "1" ]]
then
	echo -e -n "Errors Only (Level 1)"
fi
if [[ "$prefDebugLevel" == "2" ]]
then
	echo -e -n "Errors and Warnings (Level 2)"
fi
if [[ "$prefDebugLevel" == "3" ]]
then
	echo -e -n "All Messages (Level 3)"
fi
if [[ "$prefDebugLevel" == "4" ]]
then
	echo -e -n "Debug Messages (Level 4)"
fi
echo -e "\","
# Icon
echo -e "\t\t\"icon\":"
echo -e "\t\t{"
echo -e "\t\t\t\"path\": \"./preference.png\""
echo -e "\t\t}"
echo -e "\t}"

# Build the closing JSON
echo "]}"